# Uses of Enum Class
org.bukkit.event.weather.LightningStrikeEvent.Cause

Packages that use LightningStrikeEvent.Cause
Package
Description
org.bukkit.event.weather
`Events` relating to weather.

## Uses of LightningStrikeEvent.Cause in org.bukkit.event.weather

Methods in org.bukkit.event.weather that return LightningStrikeEvent.Cause
Modifier and Type
Method
Description
`@NotNull LightningStrikeEvent.Cause`
LightningStrikeEvent.`getCause()`
Gets the cause of this lightning strike.
`static LightningStrikeEvent.Cause`
LightningStrikeEvent.Cause.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LightningStrikeEvent.Cause[]`
LightningStrikeEvent.Cause.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.weather with parameters of type LightningStrikeEvent.Cause
Modifier
Constructor
Description
``
`LightningStrikeEvent(@NotNull World world, @NotNull LightningStrike bolt, @NotNull LightningStrikeEvent.Cause cause)`